package geoservice.kmlwriter;

public class Placemark {
	private IGeometry geometry = null;
	private String name = null;
	
	public Placemark(IGeometry geometry, String name) {
		this.geometry = geometry;
		this.name = name;
	}
	
	public String build() {
		StringBuilder sb = new StringBuilder();
		
		sb.append("\t<Placemark>\n");
		
		if(name != null) {
			sb.append("\t\t<name>");
			sb.append(name);
			sb.append("</name>\n");
		}
		
		sb.append(geometry.build());
		sb.append("\t</Placemark>\n");
		
		return sb.toString();
	}
}
