package geoservice.kmlwriter;

public class Point implements IGeometry {
	private Coordinate coord;
	
	public Point(Coordinate coord) {
		this.coord = coord;
	}
	
	@Override
	public String build() {
		StringBuilder sb = new StringBuilder();
		
		sb.append("\t\t<Point>\n");
		sb.append("\t\t\t<coordinates>");
		sb.append(coord.longitude);
		sb.append(",");
		sb.append(coord.latitude);
		sb.append("</coordinates>\n");
		sb.append("\t\t</Point>\n");
		
		return sb.toString();
	}
}
